# Change Log - @digigov/ui

This log was last generated on Fri, 16 Feb 2024 10:49:05 GMT and should not be manually modified.

## 1.1.4
Fri, 16 Feb 2024 10:49:05 GMT

### Patches

- Avoid handlers and validator running all the time when no data is parsed

## 1.1.3
Fri, 16 Feb 2024 10:23:15 GMT

### Patches

- Remove debugger statement left over in the code

## 1.1.2
Fri, 16 Feb 2024 09:57:32 GMT

### Patches

- Change empty array with results data add click event to arrow for all values option
- Improve URL parsing for QRCodeScanner when using dataType=`url`

## 1.1.1
Mon, 29 Jan 2024 17:45:11 GMT

_Version update only_

## 1.1.0
Mon, 29 Jan 2024 10:46:50 GMT

### Minor changes

- add Screen component to programmatically show children based on screen sizes
- Upgrade typescript to v5

### Patches

- Export Code component
- Update Footer's storybook examples
- Fix mutable reference inside useEffect

## 1.0.2
Thu, 11 Jan 2024 17:11:30 GMT

_Version update only_

## 1.0.1
Tue, 19 Dec 2023 15:00:14 GMT

_Version update only_

## 1.0.0
Fri, 15 Dec 2023 15:23:56 GMT

### Breaking changes

- Delete PageTitleCaption
- Remove PageTitleSection and HeaderSubtitle
- Remove BackLink export from ui/form
- Upgrade versions to v1.0.0-rc
- Refactor libs to a generic UI library removing personas organizing

### Minor changes

- Export Section as PageTitle
- major refactor
- Manage unused or dangling css classes
- Change the Icon exports
- Add and fix missing examples
- Add Markdown and SafeHTML components
- Update Table's stories, add RowColors story
- Update Navigation structure
- Refactoring in Panel, NotificationBanner, Loader, CopyToClipboard, Chip, layout elements and form elements
- Create Stack component, update classNames and component names at Grid, FiledContainer, Filter, Autocomplet
- Update stories and component names
- Update imports and accessibility text inside mdx components' files.
- Remove AccessibilityMenu components, add FloatingButton and OptionButton components
- Update stories that use Nagivation
- Fix Grid columns inside Container
- Add Modal Dense example
- Add dense examples at /form components
- Add dense variants in all navigation components
- Add window scrollY in LinkProvider
- Export BackToTop related components
- Remove deprecated named exports that cause conflicts
- Add and update Dropdown stories

### Patches

- Translated all stories at Greek
- Fix all storybook component examples in sdk-docs
- Change fontSize prop from string to number in storybook examples
- fix playground action tests
- Export ImageLogoSet and ImageLogo components from ui
- Fix some actions from stories at Storybook
- Create Dense examples for content components
- Add dense prop in CopyToClipboard and Notification banner & create stories for dense components
- Add translations for ImageInput
- Create hooks for ui components, create storybook  examples
- Fix publint not running correctly
- Remove deprecated components & their shills
- Update imports to use absolute instead of relative paths
- Fix linter errors

## 0.35.5
Fri, 21 Jul 2023 10:57:32 GMT

### Patches

- Reorder StepNavCircleNumber import in order to force generating a changelog

## 0.35.4
Fri, 21 Jul 2023 09:53:55 GMT

### Patches

- Fix text in locales/en.ts for form.info namespace

## 0.35.3
Thu, 20 Jul 2023 12:53:54 GMT

### Patches

- Replace AutoCompleteNoResult with AutoCompleteResultList component in AutoComplete
- Fix names at radio and checkbox examples.
- Create PaginationWithSmallFont storybook example
- Add translation text to locales 

## 0.35.2
Mon, 19 Jun 2023 11:39:00 GMT

### Patches

- Remove dot from label text

## 0.35.0
Fri, 16 Jun 2023 12:10:30 GMT

### Minor changes

- Fix unintuitive CSS class naming for Modal

## 0.34.0
Tue, 13 Jun 2023 09:12:26 GMT

### Minor changes

- Add storybook example for stacked table

### Patches

- refactor table sort functionality to match patterns used on the codebase

## 0.33.0
Fri, 19 May 2023 13:15:06 GMT

### Minor changes

- Implement TableHeadCellSort logic for table, fix close Dropdown by clicking escape

### Patches

- Fix default Drawer

## 0.32.2
Tue, 16 May 2023 13:42:28 GMT

### Patches

-  fix functionality for AccessibilityMenuOptionButton and AccordionSectionSummaryHeading  components

## 0.32.1
Thu, 11 May 2023 10:48:56 GMT

### Patches

- Export components to display poperly on sdk docs
- Reexport missing components from `core` path

## 0.32.0
Tue, 02 May 2023 09:16:06 GMT

### Minor changes

- Remove unused nav props

### Patches

- Add otp validation translates
- Update NavList stories

## 0.31.0
Mon, 03 Apr 2023 11:13:15 GMT

### Minor changes

- Split useTogglable hooks into Nav and Tab
- rename and implement navListAuto components
- Create hooks for changing theme options and add ThemeOptions component and example
- Import ChipKeyValue component
-  Remove FilterSectionHorizontal component and rename FilterHeadingSection to FilterHeading

### Patches

- add React.forwardRef to Modal QrCodeViewer components

## 0.30.1
Wed, 22 Feb 2023 15:41:06 GMT

_Version update only_

## 0.30.0
Tue, 21 Feb 2023 09:58:34 GMT

### Minor changes

- replace NavHorizontal export with Nav
- replace NavHorizontalList exports with NavList
- add ThemeSelectorOptions and BottomInfo components

### Patches

- export Globe svg icon from SvgIcon file
- Export everything from react-core/NavList including the propTypes interfaces
- Pass `Copyright` props down the component tree to reach `CopyrightContainer` and eventually `Base` components in `@digigov/react-core`

## 0.29.2
Thu, 02 Feb 2023 16:12:09 GMT

### Patches

- modify theme

## 0.29.1
Wed, 18 Jan 2023 13:07:00 GMT

### Patches

- Rexport FieldContainer from `@digigov/ui/core` path

## 0.29.0
Mon, 16 Jan 2023 13:05:21 GMT

### Minor changes

- Add new NavHorizontalList component
- Remove Title and Caption from exports
- Normalize renamed components and their imports

### Patches

- Update the Drawer example in order to use the NavList component

## 0.28.3
Fri, 02 Dec 2022 11:20:56 GMT

### Patches

- Use @uides/react-qr-reader
- Fix import path at some stories files, simplified some stories, added description, tags and link at .stories.js files 

## 0.28.2
Fri, 18 Nov 2022 08:33:43 GMT

### Patches

- Rename conflicting components and remove withDeprecation

## 0.28.1
Wed, 16 Nov 2022 14:27:34 GMT

_Version update only_

## 0.28.0
Mon, 14 Nov 2022 09:45:06 GMT

### Minor changes

- Remove withDeprecation

### Patches

- Enforce light theme on print

## 0.27.1
Tue, 01 Nov 2022 11:34:42 GMT

### Patches

- Update Drawer's story

## 0.27.0
Fri, 14 Oct 2022 14:14:00 GMT

### Minor changes

- update storybook example for Breadcrumb
- Add ThemeToggleButton component

### Patches

- Hide buttons by default on print. Add inverted logo at govgr/images. Add extra stories at some components.
- Add SummaryList story with row variations
- add keyboard logic for modal component
- Move Autocomplete stories utils to Autocomplete utils for simpler library integration in the Storybook examples

## 0.26.7
Fri, 30 Sep 2022 10:47:58 GMT

### Patches

- Add nested list example at storybook

## 0.26.6
Tue, 27 Sep 2022 14:49:37 GMT

### Patches

- specify the peerDependencies range in a better way

## 0.26.5
Tue, 27 Sep 2022 10:00:49 GMT

### Patches

- increase the range of accepted react version specified in peerDependencies

## 0.26.4
Wed, 21 Sep 2022 14:27:06 GMT

### Patches

- refactor copytoclipboar
- fix Footer copyright
- Add Card component in the Grid storybook examples
- update autocomplete to allow for react node result item

## 0.26.3
Wed, 14 Sep 2022 12:03:44 GMT

### Patches

- create qrcode component, create helper functions, create qrcode stories and documentation

## 0.26.2
Tue, 13 Sep 2022 13:10:16 GMT

### Patches

- Update registry file
- Update stories at FileUpload
- update int validator locales

## 0.26.1
Tue, 06 Sep 2022 08:27:15 GMT

### Patches

- remove any material ui styles and deprecate List components
- Replace link images with base64 images
-  add translation for reset file button for FileInput component

## 0.26.0
Thu, 01 Sep 2022 17:10:30 GMT

### Minor changes

- Add locales for MultiplicityField in @digigov/form
- Refactor Autocomplete and its utils

## 0.25.0
Wed, 31 Aug 2022 16:10:12 GMT

### Minor changes

- Add script to check if there are unexported react components from digigov/ui

### Patches

- Add custom content to Copyright
- Fix typerror causing build to fail

## 0.24.3
Tue, 16 Aug 2022 07:40:15 GMT

### Patches

- export stepbystep components from digigov-ui, create stepbystep story
- export stepnav components from digigov-ui, create stepnav story

## 0.24.2
Thu, 04 Aug 2022 14:33:46 GMT

### Patches

- Fix visual bug in floating scrol

## 0.24.1
Wed, 03 Aug 2022 12:52:06 GMT

### Patches

- Fix Dropdown styles when a floating Table scrolls left or right

## 0.24.0
Wed, 03 Aug 2022 10:06:10 GMT

### Minor changes

- Implement Timeline component
- Add Storybook example
- export TaskList component

## 0.23.0
Tue, 26 Jul 2022 07:39:59 GMT

### Minor changes

- add a11y props
- Add missing a11y props to (*)Base components 

### Patches

- create component's stories add accessibility attributes to each component, create sdk docs
- add aria-describedby at hints and errors, at checkbox and radio examples
- add aria-colspan to TableNoDataRow component
- add arias and role to CopyToClipboard and to Modal
- add accessibility attributes to Grid component
- Update registry file

## 0.22.0
Thu, 07 Jul 2022 13:01:18 GMT

### Minor changes

- add pages at sdk with storybook examples of all the components

### Patches

- create AutoComplete, AccessibleAutoComplete, Status components, create stories
- Add missing exports for Grid
- reexport FilterSectionHorizontal
- refactor code to resolve circular dependencies

## 0.21.3
Mon, 27 Jun 2022 10:08:07 GMT

### Patches

- Add support for floating Table scroll in Table and Dropdown components

## 0.21.2
Thu, 23 Jun 2022 11:49:45 GMT

### Patches

- Update changes in digigov/ui
- export Gridpros from libs ui Grid
- add scooth scrolling at Tabs when at mobile
- Add missing locales for footer

## 0.21.1
Wed, 08 Jun 2022 16:32:57 GMT

### Patches

- Detach @digigov/react-extensions from @digigov/ui, you should install it only if needed to build an Admin page

## 0.21.0
Wed, 08 Jun 2022 12:26:07 GMT

### Minor changes

- add missing a11y props to commponents

### Patches

- add translation content text for each validation type
- move PaginationLabel component from core to admin ui path

## 0.20.2
Tue, 24 May 2022 09:13:18 GMT

### Patches

- Update MDX examples
- use CopyToClipboardContainer in CopyToClipboard
- Pass variant prop at CopyToClipboardContainer
- Add default value to variant prod and pass missing ref
- Use cleaner condition for message, change default value of variant prop
- create text content for postal code validator

## 0.20.1
Tue, 17 May 2022 11:04:22 GMT

### Patches

- Replace AccordionSectionHeader with AccordionSectionSummary and AccordionSectionSummaryHeading

## 0.20.0
Mon, 16 May 2022 14:42:45 GMT

### Minor changes

- Export missing react-core and react-extensions components

## 0.19.0
Tue, 10 May 2022 14:04:00 GMT

### Minor changes

- Create TestEnvironmentIndicator
- Replace TestEnvironmentIndicator with PhaseBannerHeader

### Patches

- Use PhaseBannerHeaderContainer in PhaseBannerHeader
- Reexport AccordionSectionSummary and AccordionSectionSummaryHeading
- Deprecate AccordionSectionHeader
- Update default exports for Card, Grid
- Fix PhaseBannerHeader typescript errors

## 0.18.0
Tue, 03 May 2022 10:27:10 GMT

### Minor changes

- Add CopyToClipboard component

### Patches

- reexport TableContainer

## 0.17.1
Wed, 20 Apr 2022 12:11:46 GMT

### Patches

- fix ServiceBadge component implementation to appear properly in pages

## 0.17.0
Mon, 18 Apr 2022 13:00:33 GMT

### Minor changes

- Upgrade @types/node version

## 0.16.0
Thu, 14 Apr 2022 12:32:51 GMT

### Minor changes

- create I18nText component which translates complex sentences

### Patches

- add text translations in en and el locales

## 0.15.1
Wed, 30 Mar 2022 12:28:30 GMT

_Version update only_

## 0.15.0
Thu, 17 Mar 2022 10:24:06 GMT

### Minor changes

- Integrate @digigov/react-extensions/Dropdown component
- rename TableHeaderCell to TableHeadCell export

## 0.14.0
Wed, 09 Mar 2022 13:21:47 GMT

### Minor changes

- Add react-extensions library / add PaginationLabel with translations / use Link from react-core

### Patches

- export HeaderContent component

## 0.13.1
Thu, 03 Mar 2022 09:55:59 GMT

### Patches

- Fix useAccordion toggle functionality

## 0.13.0
Tue, 01 Mar 2022 10:56:06 GMT

### Minor changes

-  remove unnecessary ";" from ServiceBadge

## 0.12.2
Fri, 25 Feb 2022 12:45:57 GMT

### Patches

- fix defaultTranslate func to return the translated text

## 0.12.1
Thu, 24 Feb 2022 14:51:06 GMT

### Patches

- comment out variant prop in Button, add Table and Button in index for exporting

## 0.12.0
Wed, 16 Feb 2022 12:49:28 GMT

### Minor changes

- Add new locales for DateInput and three-block dates

## 0.11.0
Mon, 14 Feb 2022 09:56:29 GMT

### Minor changes

- Export any missing @digigov/ui components directly from @digigov/react-core
- Add Link to footer's components

### Patches

- Fix Link and NotificationBanner prop interfaces

## 0.10.4
Thu, 10 Feb 2022 13:45:56 GMT

### Patches

- pin down dependency versions

## 0.10.3
Tue, 08 Feb 2022 15:21:11 GMT

_Version update only_

## 0.10.2
Thu, 03 Feb 2022 15:47:05 GMT

_Version update only_

## 0.10.1
Wed, 02 Feb 2022 15:44:29 GMT

_Version update only_

## 0.10.0
Fri, 28 Jan 2022 13:37:24 GMT

### Minor changes

- Remove Feedback-related code

## 0.9.2
Thu, 30 Dec 2021 14:56:45 GMT

### Patches

- handle depracation logs better

## 0.9.1
Thu, 30 Dec 2021 14:11:34 GMT

### Patches

- Change name for Content in withDeprecation
- Change the renames of components using withDeprecation

## 0.9.0
Thu, 30 Dec 2021 12:54:03 GMT

### Minor changes

- Integrate react-core components in @digigov/ui and start deprecating @materia-ui deps
- Refactor Copyright component

### Patches

- migrate ui components to use react-core
- Improve the error format in deprecation messages

## 0.8.4
Tue, 02 Nov 2021 13:03:39 GMT

_Version update only_

## 0.8.3
Tue, 02 Nov 2021 12:05:42 GMT

### Patches

- Fix versions released by mistakes

## 0.8.1
Tue, 02 Nov 2021 08:25:41 GMT

### Patches

- fix api tests

## 0.8.0
Wed, 20 Oct 2021 12:45:51 GMT

### Minor changes

- Add new MinDigitalCopyright component to use as a copyright message for websites that we build for MinDigital

## 0.7.0
Tue, 12 Oct 2021 09:13:08 GMT

### Minor changes

- Add component to warn if browser is outdated

## 0.6.0
Mon, 27 Sep 2021 11:18:38 GMT

### Minor changes

- Fix issues where we could not propagate props down to `@material-ui/core` components so we could change their behaviour

## 0.5.0
Wed, 22 Sep 2021 10:15:42 GMT

### Minor changes

- Add new app/NotFound component that can be used to display a sample 404 page anywhere in a Digigov app

## 0.4.23
Thu, 12 Aug 2021 08:56:35 GMT

_Version update only_

## 0.4.22
Thu, 12 Aug 2021 06:18:14 GMT

_Version update only_

## 0.4.21
Tue, 03 Aug 2021 12:09:02 GMT

_Version update only_

## 0.4.20
Tue, 03 Aug 2021 10:22:51 GMT

_Version update only_

## 0.4.19
Fri, 30 Jul 2021 13:01:30 GMT

_Version update only_

## 0.4.18
Fri, 30 Jul 2021 11:35:29 GMT

_Version update only_

## 0.4.17
Fri, 30 Jul 2021 10:46:37 GMT

_Version update only_

## 0.4.16
Fri, 30 Jul 2021 08:49:46 GMT

_Version update only_

## 0.4.15
Fri, 30 Jul 2021 07:46:24 GMT

_Version update only_

## 0.4.14
Tue, 27 Jul 2021 10:14:43 GMT

_Version update only_

## 0.4.13
Thu, 15 Jul 2021 11:16:22 GMT

_Version update only_

## 0.4.12
Fri, 09 Jul 2021 08:59:32 GMT

_Version update only_

## 0.4.11
Thu, 08 Jul 2021 15:08:50 GMT

_Version update only_

## 0.4.10
Wed, 30 Jun 2021 12:09:21 GMT

_Version update only_

## 0.4.9
Wed, 23 Jun 2021 13:04:19 GMT

_Version update only_

## 0.4.8
Wed, 02 Jun 2021 12:04:27 GMT

_Version update only_

## 0.4.7
Wed, 02 Jun 2021 08:33:44 GMT

_Version update only_

## 0.4.6
Wed, 05 May 2021 14:11:41 GMT

_Version update only_

## 0.4.5
Thu, 22 Apr 2021 15:04:42 GMT

_Version update only_

## 0.4.4
Thu, 22 Apr 2021 14:39:18 GMT

_Version update only_

## 0.4.3
Thu, 22 Apr 2021 14:06:40 GMT

_Version update only_

## 0.4.2
Thu, 22 Apr 2021 12:56:25 GMT

_Initial release_

