import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';

import { Default } from '@digigov/ui/app/Footer/__stories__/Default';

test('renders the Default Hover and click', async ({ mount, page }) => {
  await mount(<Default />);
  await page.evaluate(() => document.fonts.ready);
  await page
    .locator('#root>footer>div>div>section:nth-child(1)>p>a:nth-child(1)')
    .hover();
  await page
    .locator('#root>footer>div>div>section:nth-child(1)>p>a:nth-child(1)')
    .click();

  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
