import Header from '@digigov/ui/app/Header/';
export default {
  title: 'Digigov UI/app/Header',
  component: Header,
  displayName: 'Header',
  description:
    'You must use the GOV.GR header at the top of every page if your service is being listed in the GOV.GR service catalog.',
  link: 'https://guide.services.gov.gr/docs/components/header',
  defaultWidth: 'lg',
  parameters: {
    // More on Story layout: https://storybook.js.org/docs/react/configure/story-layout
    layout: 'fullscreen',
  },
};

export { Default } from '@digigov/ui/app/Header/__stories__/Default';
export { WithServiceName } from '@digigov/ui/app/Header/__stories__/WithServiceName';
export { WithServiceNameAndLogo } from '@digigov/ui/app/Header/__stories__/WithServiceNameAndLogo';
export { WithNavigation } from '@digigov/ui/app/Header/__stories__/WithNavigation';
export { WithHeaderNavigation } from '@digigov/ui/app/Header/__stories__/WithHeaderNavigation';
