import React from 'react';
import { Header } from '@digigov/ui/app/Header';
import { HeaderContent } from '@digigov/ui/app/Header/HeaderContent';
import { HeaderSection } from '@digigov/ui/app/Header/HeaderSection';
import { HeaderTitle } from '@digigov/ui/app/Header/HeaderTitle';
import { GovGRLogo } from '@digigov/ui/govgr/GovGRLogo';

export const WithServiceName = () => (
  <Header>
    <HeaderContent>
      <HeaderSection>
        <GovGRLogo href="#" />
        <HeaderTitle>Δηλώσεις</HeaderTitle>
      </HeaderSection>
    </HeaderContent>
  </Header>
);

export default WithServiceName;
