import React from 'react';
import { Header } from '@digigov/ui/app/Header';
import { HeaderContent } from '@digigov/ui/app/Header/HeaderContent';
import { HeaderSecondaryLogo } from '@digigov/ui/app/Header/HeaderSecondaryLogo';
import { HeaderSection } from '@digigov/ui/app/Header/HeaderSection';
import { HeaderTitle } from '@digigov/ui/app/Header/HeaderTitle';
import { GovGRLogo } from '@digigov/ui/govgr/GovGRLogo';
import minEduLogo from '@digigov/ui/govgr/images/minedu-logo-base64';

export const WithServiceNameAndLogo = () => {
  return (
    <Header>
      <HeaderContent>
        <HeaderSection>
          <GovGRLogo href="#" />
          <HeaderSecondaryLogo src={minEduLogo} href="#" />
          <HeaderTitle>Δηλώσεις</HeaderTitle>
        </HeaderSection>
      </HeaderContent>
    </Header>
  );
};

export default WithServiceNameAndLogo;
