import React from 'react';

import { Card, CardHeading, CardContent } from '@digigov/ui/content/Card';

import { LinkBase } from '@digigov/ui/navigation/Link';

export const WithClickableContent = () => (
  <Card callToAction>
    <CardHeading>
      <LinkBase href="#">Γεωργία και κτηνοτροφία</LinkBase>
    </CardHeading>
    <CardContent>
      Διαδικασίες, επιδοτήσεις και αποζημιώσεις για την γεωργική, κτηνοτροφική ή
      αλιευτική σας δραστηριότητα.
    </CardContent>
  </Card>
);

export default WithClickableContent;
