import React from 'react';

import { Card, CardHeading, CardContent } from '@digigov/ui/content/Card';

import { Link } from '@digigov/ui/navigation/Link';

export const WithClickableLink = () => (
  <Card>
    <CardHeading>
      <Link href="#">Γεωργία και κτηνοτροφία</Link>
    </CardHeading>
    <CardContent>
      Διαδικασίες, επιδοτήσεις και αποζημιώσεις για την γεωργική, κτηνοτροφική ή
      αλιευτική σας δραστηριότητα.
    </CardContent>
  </Card>
);

export default WithClickableLink;
