import React from 'react';

import {
  Card,
  CardAction,
  CardHeading,
  CardContent,
} from '@digigov/ui/content/Card';
import { Button } from '@digigov/ui/form/Button';

export const WithDarkTopBorder = () => (
  <Card variant="border-top" borderColor="dark">
    <CardHeading>Γεωργία και κτηνοτροφία</CardHeading>
    <CardContent>
      Διαδικασίες, επιδοτήσεις και αποζημιώσεις για την γεωργική, κτηνοτροφική ή
      αλιευτική σας δραστηριότητα.
    </CardContent>
    <CardAction>
      <Button>Συνέχεια</Button>
    </CardAction>
  </Card>
);

export default WithDarkTopBorder;
