import React from 'react';

import {
  Card,
  CardHeading,
  CardContent,
  CardAction,
} from '@digigov/ui/content/Card';

import { Link } from '@digigov/ui/navigation/Link';

export const WithLink = () => (
  <Card>
    <CardHeading>Γεωργία και κτηνοτροφία</CardHeading>
    <CardContent>
      Διαδικασίες, επιδοτήσεις και αποζημιώσεις για την γεωργική, κτηνοτροφική ή
      αλιευτική σας δραστηριότητα.
    </CardContent>
    <CardAction>
      <Link>Είσοδος</Link>
    </CardAction>
  </Card>
);

export default WithLink;
