import List from '@digigov/ui/content/List';
export default {
  title: 'Digigov UI/content/List',
  description:
    'Use lists to make blocks of text easier to read, and to break information into manageable chunks.',
  link: 'https://guide.services.gov.gr/docs/styles/typography#lists',
  component: List,
  displayName: 'List',
};
export { Default } from '@digigov/ui/content/List/__stories__/Default';
export { BulletList } from '@digigov/ui/content/List/__stories__/BulletList';
export { NumberedList } from '@digigov/ui/content/List/__stories__/NumberedList';
export { HorizontalList } from '@digigov/ui/content/List/__stories__/HorizontalList';
export { WithExtraSpace } from '@digigov/ui/content/List/__stories__/WithExtraSpace';
export { NestedBulletList } from '@digigov/ui/content/List/__stories__/NestedBulletList';
