import React from 'react';
import { List } from '@digigov/ui/content/List/List';
import { ListItem } from '@digigov/ui/content/List/ListItem';

export const NestedBulletList = () => (
  <List listStyle="bullet">
    <ListItem>
      Γεωργία και κτηνοτροφία
      <List listStyle="bullet">
        <ListItem>
          Αλιεία
          <List listStyle="bullet">
            <ListItem>
              Άδεια διοργάνωσης ερασιτεχνικού αλιευτικού αγώνα
            </ListItem>
            <ListItem>Αιτήσεις για θέματα αλιείας</ListItem>
          </List>
        </ListItem>
        <ListItem>
          Ασφάλιση γεωργικής παραγωγής
          <List listStyle="bullet">
            <ListItem>Βεβαιώσεις αποδοχών προσωπικού ΕΛΓΑ</ListItem>
            <ListItem>
              Βεβαίωση αποδοχών μέλους ΔΣ ΕΛΓΑ / Γεωτεχνικών Δημοσίου
            </ListItem>
          </List>
        </ListItem>
      </List>
    </ListItem>
    <ListItem>
      Δικαιοσύνη
      <List listStyle="bullet">
        <ListItem>Διαφορές με το δημόσιο</ListItem>
        <ListItem>Δικαστήρια</ListItem>
      </List>
    </ListItem>
  </List>
);

export default NestedBulletList;
