export default {
  title: 'Digigov UI/content/SummaryList',
  description: 'Use the summary list to summarize information.',
  link: 'https://guide.services.gov.gr/docs/components/summary-list',
  displayName: 'SummaryList',
  component: SummaryListExample,
};
import { SummaryListExample } from '@digigov/ui/content/SummaryList/__stories__/SummaryListExample';

export const Default = {
  args: {
    sm: 5,
    md: 4,
    lg: 3,
    border: true,
    noLastBorder: false,
    itemBorder: true,
    showKey: true,
    showValue: true,
    showActions: true,
  },
};
