import React from 'react';

import {
  SummaryList,
  SummaryListItem,
  SummaryListItemAction,
  SummaryListItemKey,
  SummaryListItemValue,
} from '@digigov/ui/content/SummaryList';

import { Link } from '@digigov/ui/navigation/Link';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const Default = () => (
  <SummaryList>
    <SummaryListItem>
      <SummaryListItemKey>Όνομα</SummaryListItemKey>
      <SummaryListItemValue>Γιώργος Παπαδόπουλος</SummaryListItemValue>
      <SummaryListItemAction>
        <Link href="#">
          Αλλαγή<VisuallyHidden>Διεύθυνσης</VisuallyHidden>
        </Link>
      </SummaryListItemAction>
    </SummaryListItem>
    <SummaryListItem>
      <SummaryListItemKey>Ημερομηνία Γέννησης</SummaryListItemKey>
      <SummaryListItemValue>11 Μαϊου 1990</SummaryListItemValue>
      <SummaryListItemAction>
        <Link href="#">
          Αλλαγή<VisuallyHidden>Διεύθυνσης</VisuallyHidden>
        </Link>
      </SummaryListItemAction>
    </SummaryListItem>
    <SummaryListItem>
      <SummaryListItemKey>Τηλέφωνο επικοινωνίας</SummaryListItemKey>
      <SummaryListItemValue>6941234567</SummaryListItemValue>
      <SummaryListItemAction>
        <Link href="#">
          Αλλαγή<VisuallyHidden>Διεύθυνσης</VisuallyHidden>
        </Link>
      </SummaryListItemAction>
    </SummaryListItem>
  </SummaryList>
);

export default Default;
