import React from 'react';

import {
  TableContainer,
  Table,
  TableCaption,
  TableHead,
  TableRow,
  TableBody,
  TableHeadCell,
  TableNoDataRow,
} from '@digigov/ui/content/Table';

export const NoData = () => {
  return (
    <TableContainer>
      <Table>
        <TableCaption>Πίνακας χωρίς δεδομένα</TableCaption>
        <TableHead>
          <TableRow>
            <TableHeadCell>Τίτλος</TableHeadCell>
            <TableHeadCell>Ημερομηνία</TableHeadCell>
            <TableHeadCell>Περιγραφή</TableHeadCell>
            <TableHeadCell>Επιλογή</TableHeadCell>
          </TableRow>
        </TableHead>
        <TableBody>
          <TableNoDataRow aria-colspan={100}>Χωρίς δεδομένα</TableNoDataRow>
        </TableBody>
      </Table>
    </TableContainer>
  );
};
export default NoData;
