import React from 'react';
import { ErrorSummary } from '@digigov/ui/feedback/ErrorSummary';
import { Link } from '@digigov/ui/navigation/Link';
import { Heading } from '@digigov/ui/typography/Heading';

export const Default = () => (
  <ErrorSummary>
    <Heading size="sm">Υπήρξε κάποιο πρόβλημα</Heading>
    <Link>Πρέπει να συμπληρώσετε το έτος</Link>
  </ErrorSummary>
);

export default Default;
