import NotificationBanner from '@digigov/ui/feedback/NotificationBanner';
export default {
  title: 'Digigov UI/feedback/NotificationBanner',
  tags: ['Experimental'],
  description:
    'Use a notification banner to tell the user about something they need to know about, but that’s not directly related to the page content.',
  link: 'https://guide.services.gov.gr/docs/components/Notification-Banner',

  component: NotificationBanner,
  displayName: 'NotificationBanner',
};
export { Default } from '@digigov/ui/feedback/NotificationBanner/__stories__/Default';
export { Success } from '@digigov/ui/feedback/NotificationBanner/__stories__/Success';
export { Dense } from '@digigov/ui/feedback/NotificationBanner/__stories__/Dense';
