import React from 'react';
import { NotificationBanner } from '@digigov/ui/feedback/NotificationBanner';

export const Success = () => (
  <NotificationBanner
    title="Επιτυχής υποβολή"
    variant="success"
    link={{
      label: 'Προβολή αίτησης',
      href: '#link?name=NotificationBannerSuccess',
    }}
  >
    Η αίτησή σας υποβλήθηκε
  </NotificationBanner>
);

export default Success;
