import * as React from 'react';

import NotificationBanner from '@digigov/ui/feedback/NotificationBanner';

it('renders the notification banner', () => {
  expect(
    <NotificationBanner title="Notification Banner Example">
      this is a notification
    </NotificationBanner>
  ).toMatchSnapshot();
});

it('renders the notification banner with title and link', () => {
  expect(
    <NotificationBanner
      title="Notification Banner Example"
      link={{ href: '/', label: 'This is a label' }}
    >
      this is a notification
    </NotificationBanner>
  ).toMatchSnapshot();
});
