import React from 'react';

import {
  PhaseBanner,
  PhaseBannerTag,
  PhaseBannerText,
} from '@digigov/ui/feedback/PhaseBanner';

import { Link } from '@digigov/ui/navigation/Link';

export const Default = () => (
  <PhaseBanner>
    <PhaseBannerTag>ALPHA</PhaseBannerTag>
    <PhaseBannerText>
      Αυτή είναι μία νέα υπηρεσία – τα <Link href="#feedback">σχόλιά</Link> σας
      θα μας βοηθήσουν να τη βελτιώσουμε.
    </PhaseBannerText>
  </PhaseBanner>
);

export default Default;
