import WarningText from '@digigov/ui/feedback/WarningText';
export default {
  title: 'Digigov UI/feedback/WarningText',
  description:
    'Use the warning text component when you need to warn users about something important, such as legal consequences of an action, or lack of action, that they might take.',
  link: 'https://guide.services.gov.gr/docs/components/Warning-Text',
  component: WarningText,
  displayName: 'WarningText',
};
export { Default } from '@digigov/ui/feedback/WarningText/__stories__/Default';
export { AssistiveText } from '@digigov/ui/feedback/WarningText/__stories__/AssistiveText';
export { Dense } from '@digigov/ui/feedback/WarningText/__stories__/Dense';
