import React from 'react';
import { AutoComplete } from '@digigov/ui/form/AutoComplete';
import { suggest } from '@digigov/ui/form/AutoComplete/utils';
import { Button } from '@digigov/ui/form/Button';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';

export const MultipleShowingTwoSelected = () => (
  <div>
    <FieldContainer>
      <AutoComplete
        source={suggest}
        multiple
        width="75%"
        id="multiple-showing-two-selected"
        numberOfSelected={2}
      />
    </FieldContainer>
    <Button>Υποβολή</Button>
  </div>
);

export default MultipleShowingTwoSelected;
