import React from 'react';
import { AutoComplete } from '@digigov/ui/form/AutoComplete';
import { suggest } from '@digigov/ui/form/AutoComplete/utils';
import { Button } from '@digigov/ui/form/Button';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';

export const WithAutoSelect = () => (
  <div>
    <FieldContainer>
      <AutoComplete
        source={suggest}
        autoselect={true}
        id="govgr"
        // tStatusResults={(x, y) => {
        //   return `Results x: ${x} y: ${y}`;
        // }}
        templates={{
          suggestion: (value) => {
            return '--> ' + value;
          },
          inputValue: (value) => {
            return value ? 'Χώρα: ' + value : '';
          },
        }}
        tNoResults={() => 'Δεν υπάρχουν αποτελέσματα'}
      />
    </FieldContainer>
    <Button>Υποβολή</Button>
  </div>
);

export default WithAutoSelect;
