import React from 'react';
import { AutoComplete } from '@digigov/ui/form/AutoComplete';
import { suggest } from '@digigov/ui/form/AutoComplete/utils';
import Button from '@digigov/ui/form/Button';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { Paragraph } from '@digigov/ui/typography/Paragraph';

export const WithMinLength = () => (
  <div>
    <Paragraph>
      Σε αυτό το παράδειγμα, ο ελάχιστος αριθμός χαρακτήρων που πρέπει να
      εισαχθεί ώστε να αρχίσει η αναζήτηση είναι 2.
    </Paragraph>
    <FieldContainer>
      <AutoComplete
        source={suggest}
        autoselect={true}
        minLength={2}
        id="govgr"
      />
    </FieldContainer>
    <Button>Υποβολή</Button>
  </div>
);

export default WithMinLength;
