import Button from '@digigov/ui/form/Button';

export default {
  title: 'Digigov UI/form/Button',
  description: 'Use the button component to help users carry out an action',
  link: 'https://guide.services.gov.gr/docs/components/button',
  component: Button,
  displayName: 'Button',
};

export { Primary } from '@digigov/ui/form/Button/__stories__/Primary';
export { Secondary } from '@digigov/ui/form/Button/__stories__/Secondary';
export { Warning } from '@digigov/ui/form/Button/__stories__/Warning';
export { GroupingButtons } from '@digigov/ui/form/Button/__stories__/GroupingButtons';
export { GroupingButtonsAndLinks } from '@digigov/ui/form/Button/__stories__/GroupingButtonsAndLinks';
export { CallToActionButton } from '@digigov/ui/form/Button/__stories__/CallToActionButton';
export { Disabled } from '@digigov/ui/form/Button/__stories__/Disabled';
export { Dense } from '@digigov/ui/form/Button/__stories__/Dense';
export { ButtonLinkButton } from '@digigov/ui/form/Button/__stories__/ButtonLinkButton';
export { Back } from '@digigov/ui/form/Button/__stories__/Back';
export { WithVariantLink } from '@digigov/ui/form/Button/__stories__/WithVariantLink';
export { ThemeToggle } from '@digigov/ui/form/Button/__stories__/ThemeToggle';
