import React from 'react';
import { Checkbox, CheckboxItem } from '@digigov/ui/form/Checkbox';
import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';

export const NoneAnswer = () => (
  <FieldContainer>
    <Fieldset>
      <FieldsetLegend>
        Θα ταξιδέψετε σε κάποια από αυτές τις χώρες;
      </FieldsetLegend>
      <Checkbox>
        <CheckboxItem name="cold" value="cold">
          Αγγλία
        </CheckboxItem>
        <CheckboxItem name="fever" value="fever">
          Γαλλία
        </CheckboxItem>
        <CheckboxItem name="fatigue" value="fatigue" dividerText="ή">
          Όχι, δεν θα ταξιδέψω σε καμία από αυτές τις χώρες
        </CheckboxItem>
      </Checkbox>
    </Fieldset>
  </FieldContainer>
);

export default NoneAnswer;
