import ErrorMessage from '@digigov/ui/form/ErrorMessage';
export default {
  title: 'Digigov UI/form/ErrorMessage',
  description:
    'Show an error message next to the field and in the error summary when there is a validation error.',
  link: 'https://guide.services.gov.gr/docs/components/error-message',
  component: ErrorMessage,
  displayName: 'ErrorMessage',
};
export { Default } from '@digigov/ui/form/ErrorMessage/__stories__/Default';
export { DateInputError } from '@digigov/ui/form/ErrorMessage/__stories__/DateInputError';
export { ErrorMessageOnly } from '@digigov/ui/form/ErrorMessage/__stories__/ErrorMessageOnly';
