import React from 'react';

import { ErrorMessage } from '@digigov/ui/form/ErrorMessage';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const ErrorMessageOnly = () => (
  <ErrorMessage id="birth-date-error">
    <VisuallyHidden>Λάθος:</VisuallyHidden>Η ημερομηνία γέννησης πρέπει να είναι
    στο παρελθόν.
  </ErrorMessage>
);

export default ErrorMessageOnly;
