import React from 'react';

import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';
import { RadioContainer, RadioItem } from '@digigov/ui/form/RadioContainer';

export const NoneAnswer = () => (
  <FieldContainer>
    <Fieldset aria-describedby="name-hint">
      <FieldsetLegend size="md">Πόσα παιδιά έχετε;</FieldsetLegend>
      <RadioContainer>
        <RadioItem name="children" value="onetwo">
          1-2 παιδιά
        </RadioItem>
        <RadioItem name="children" value="threefour">
          3 ή περισσότερα παιδιά
        </RadioItem>
        <RadioItem dividerText="ή" name="children" value="none">
          Κανένα παιδί
        </RadioItem>
      </RadioContainer>
    </Fieldset>
  </FieldContainer>
);

export default NoneAnswer;
