import TextArea from '@digigov/ui/form/TextArea';
export default {
  title: 'Digigov UI/form/TextArea',
  description:
    'Use the textarea component when you need to let users enter an amount of text that’s longer than a single line.',
  link: 'https://guide.services.gov.gr/docs/components/textarea',
  component: TextArea,
  displayName: 'TextArea',
};
export { Default } from '@digigov/ui/form/TextArea/__stories__/Default';
export { WithHint } from '@digigov/ui/form/TextArea/__stories__/WithHint';
export { WithDeclaredRows } from '@digigov/ui/form/TextArea/__stories__/WithDeclaredRows';
export { MultipleQuestions } from '@digigov/ui/form/TextArea/__stories__/MultipleQuestions';
export { LimitedCharacters } from '@digigov/ui/form/TextArea/__stories__/LimitedCharacters';
export { WithErrorMessage } from '@digigov/ui/form/TextArea/__stories__/WithErrorMessage';
export { DisabledInput } from '@digigov/ui/form/TextArea/__stories__/DisabledInput';
export { Dense } from '@digigov/ui/form/TextArea/__stories__/Dense';
