import React from 'react';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextArea } from '@digigov/ui/form/TextArea';

export const Default = () => (
  <FieldContainer>
    <LabelContainer>
      <LabelTitle size="md">
        Μπορείτε να δώσετε περισσότερες πληροφορίες;
      </LabelTitle>
      <TextArea name="textarea"></TextArea>
    </LabelContainer>
  </FieldContainer>
);

export default Default;
