import TextInput from '@digigov/ui/form/TextInput';
export default {
  title: 'Digigov UI/form/TextInput',
  description:
    'Use the text input component when you need to let users enter text that’s no longer than a single line.',
  link: 'https://guide.services.gov.gr/docs/components/TextInput',
  component: TextInput,
  displayName: 'TextInput',
};
export { Default } from '@digigov/ui/form/TextInput/__stories__/Default';
export { MultipleQuestions } from '@digigov/ui/form/TextInput/__stories__/MultipleQuestions';
export { FixedWidths } from '@digigov/ui/form/TextInput/__stories__/FixedWidths';
export { FluidWidths } from '@digigov/ui/form/TextInput/__stories__/FluidWidths';
export { WithHint } from '@digigov/ui/form/TextInput/__stories__/WithHint';
export { AskingForNumbers } from '@digigov/ui/form/TextInput/__stories__/AskingForNumbers';
export { WithErrorMessage } from '@digigov/ui/form/TextInput/__stories__/WithErrorMessage';
export { DisabledInput } from '@digigov/ui/form/TextInput/__stories__/DisabledInput';
export { DisabledInputWithValue } from '@digigov/ui/form/TextInput/__stories__/DisabledInputWithValue';
export { Dense } from '@digigov/ui/form/TextInput/__stories__/Dense';
