import React from 'react';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextInput } from '@digigov/ui/form/TextInput';
import { Hint } from '@digigov/ui/typography/Hint';

export const DisabledInput = () => (
  <FieldContainer>
    <LabelContainer>
      <LabelTitle size="md">Όνομα επιχείρησης</LabelTitle>
      <Hint id="input-hint">
        Ποιο είναι το όνομα που εμφανίζεται σε επίσημα έγγραφα;
      </Hint>
      <TextInput
        aria-describedby="input-hint"
        name="inputext"
        disabled
      ></TextInput>
    </LabelContainer>
  </FieldContainer>
);

export default DisabledInput;
