import React from 'react';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextInput } from '@digigov/ui/form/TextInput';
import { Hint } from '@digigov/ui/typography/Hint';

export const WithHint = () => (
  <FieldContainer>
    <LabelContainer>
      <LabelTitle size="md">Όνομα επιχείρησης</LabelTitle>
      <Hint id="business-hint">Πρέπει να συμπληρώσετε το πεδίο.</Hint>
      <TextInput name="inputext" aria-describedby="business-hint"></TextInput>
    </LabelContainer>
  </FieldContainer>
);

export default WithHint;
