export default {
  form: {
    label: {
      day: 'Ημέρα',
      month: 'Μήνας',
      year: 'Έτος',
    },
    error: {
      required: 'Το πεδίο είναι υποχρεωτικό.',
      number: 'Συμπληρώστε έναν έγκυρο αριθμό',
      positive_integer_number: 'Συμπληρώστε έναν θετικό ακέραιο αριθμό',
      string: 'Το πεδίο πρέπει να είναι string',
      email: 'Συμπληρώστε μια έγκυρη ηλεκτρονική διεύθυνση (e-mail).',
      afm: 'Ο Α.Φ.Μ που πληκτρολογήσατε είναι λανθασμένος.',
      file_size:
        'Το μέγεθος του αρχείου είναι μεγαλύτερο απο το επιτρεπόμενο ({{maxSizeToMb}}Mb).',
      image_size:
        'Το μέγεθος της φωτογραφίας είναι μεγαλύτερο απο το επιτρεπόμενο ({{maxSizeToMb}}Mb).',
      mobile_phone: 'Συμπληρώστε έναν έγκυρο αριθμό κινητού τηλεφώνου.',
      phone_number: 'Συμπληρώστε έναν έγκυρο αριθμό τηλεφώνου.',
      landline: 'Συμπληρώστε έναν έγκυρο αριθμό σταθερού τηλεφώνου.',
      uuid4: 'Ο κωδικός επιβεβαίωσης δεν είναι έγκυρος.',
      iban: 'Συμπληρώστε έναν έγκυρο αριθμό IBAN',
      postalCode: 'Συμπληρώστε έναν έγκυρο αριθμό ταχυδρομικού κώδικα.',
      'needs-more':
        'Για να συνεχίσετε, πατήστε το κουμπί «Προσθήκη». Διαφορετικά, επιλέξε το «Όχι» σαν απάντηση.',
      array: {
        min: 'Το πεδίο πρέπει να έχει τουλάχιστον {{min}} εγγραφές. Προσθέστε μια ακόμα επιλέγοντας την απάντηση «Ναι» στην επόμενη ερώτηση.',
        max: 'Έχετε φτάσει το όριο των {{max}} εγγραφών. Αν θέλετε να προσθέσετε μια νέα, διαγράψτε μια από τις παραπάνω εγγραφές. Διαφορετικά, επιλέξτε το «Όχι» σαν απάντηση.',
        length: 'Το πεδίο πρέπει να έχει ακριβώς {{length}} εγγραφές',
      },
      date: {
        invalid: 'Η ημερομηνία πρέπει να είναι έγκυρη.',
        invalid_month_year:
          'Η ημερομηνία πρέπει να συμπεριλαμβάνει τον μήνα και το έτος.',
        invalid_day_year:
          'Η ημερομηνία πρέπει να συμπεριλαμβάνει τη μέρα και το έτος.',
        invalid_day_month:
          'Η ημερομηνία πρέπει να συμπεριλαμβάνει τη μέρα και τον μήνα.',
        invalid_day: 'Η ημερομηνία πρέπει να συμπεριλαμβάνει τη μέρα',
        invalid_month: 'Η ημερομηνία πρέπει να συμπεριλαμβάνει τον μήνα.',
        invalid_year: 'Η ημερομηνία πρέπει να συμπεριλαμβάνει το ετος.',
        earlier_than: 'Συμπληρώστε μια ημερομηνία προγενέστερη της {{maxDate}}',
        later_than: 'Συμπληρώστε μια ημερομηνία μεταγενέστερη της {{minDate}}',
      },
      otp: {
        invalid: 'Ο κωδικός που έχετε εισάγει είναι λάθος.',
        less_than: 'Έχετε συμπληρώσει λιγότερα από {{maxLength}} ψηφία.',
      },
      image: {
        image_dimension_size:
          'Οι διαστάσεις που καταχωρίσατε υπερβαίνουν τα αναμενόμενα όρια. Ελάχιστο μέγεθος: ({{minWidth}}x{{minHeight}})px, Μέγιστο μέγεθος: ({{maxWidth}}x{{maxHeight}})px',
      },
      text: {
        more_than: 'Έχετε υπερβεί το όριο των {{max}} χαρακτήρων.',
        less_than: 'Χρειάζονται τουλάχιστον {{min}} χαρακτήρες.',
      },
    },
    info: {
      text: {
        you_have: 'Έχετε',
        need_at_least: 'Χρειάζεστε τουλάχιστον',
        characters: 'χαρακτήρες',
        character: 'χαρακτήρα',
        remaining: 'υπόλοιπο',
        too_many: 'παραπάνω',
      },
    },
  },
  button: {
    start: 'Ξεκινήστε εδώ',
    login: 'Σύνδεση',
    back: 'Πίσω',
    continue: 'Συνέχεια',
    search_ref: 'Αναζητήστε',
    scan: 'Σαρώστε QR Code',
    save: 'Αποθήκευση',
    logout: 'Εξοδος',
    submit: 'Υποβολή',
    delete: 'Διαγραφή',
  },
  footer: {
    created_by: 'Υλοποίηση από το',
    grnet: 'ΕΔΥΤΕ',
    created_for: 'για το',
    mindigital: 'Υπουργείο Ψηφιακής Διακυβέρνησης',
    using: 'με χρήση',
    open_source: 'Ανοιχτού Λογισμικού',
    creative_commons: 'Άδεια χρήσης περιεχομένου',
  },
  notfound: {
    page_not_found: 'Η σελίδα δεν βρέθηκε',
    wrong_key_address:
      'Εάν έχετε πληκτρολογήσει τη διεύθυνση της σελίδας, ελέγξτε ότι είναι σωστή.',
    wrong_cp_address:
      'Εάν έχετε επικολλήσει τη διεύθυνση της σελίδας, ελέγξτε ότι έχετε αντιγράψει ολόκληρη τη διεύθυνση.',
    service_contact:
      'Εάν η διεύθυνση της σελίδας είναι σωστή ή έχετε επιλέξει κάποιον σύνδεσμο ή κουμπί, επικοινωνήστε με τη γραμμή εξυπηρέτησης σε περίπτωση που χρειαστείτε βοήθεια.',
  },
  outdated: {
    mobile:
      'Η ιστοσελίδα ενδέχεται να μην λειτουργεί σωστά καθώς ο browser σας είτε δεν υποστηρίζεται είτε είναι μη επικαιροποιημένος. Παρακαλούμε επικαιροποιήστε τον browser σας.',
    web: 'Η ιστοσελίδα ενδέχεται να μην λειτουργεί σωστά καθώς ο browser σας είναι μη επικαιροποιημένος. Για να επικαιροποιήσετε τον browser σας επισκεφθείτε την ιστοσελίδα:  ',
  },
  pagination: {
    show: 'Εμφανίζονται',
    to: 'έως',
    of: 'από',
    results: 'αποτελέσματα',
    label:
      'Εμφανίζονται <1>{{start}}</1> έως <3>{{end}}</3> από <5>{{total}}</5> αποτελέσματα',
  },
  upload: {
    file: 'Αρχείο',
    choose_file: 'Επιλογή αρχείου',
    change_file: 'Αντικατάσταση αρχείου',
    no_file: 'Δεν έχετε επιλέξει αρχείο',
    reset_file: 'Αφαίρεση',
    image: 'Φωτογραφία',
    no_image: 'Δεν έχετε επιλέξει φωτογραφία',
    change_image: 'Αντικατάσταση φωτογραφίας',
    choose_image: 'Επιλογή φωτογραφίας',
  },
  'copy-to-clipboard': {
    message: 'Το κείμενο αντιγράφηκε επιτυχώς!',
  },
};
