import React from 'react';
import { Layout } from '@digigov/ui/layouts/Basic';
import { Aside } from '@digigov/ui/layouts/Basic/Aside';
import { Container } from '@digigov/ui/layouts/Basic/Container';
import { Main } from '@digigov/ui/layouts/Basic/Main';
import { Heading, Paragraph } from '@digigov/ui/typography';

export const MultipleRowsLayout = () => (
  <Layout>
    <Container>
      <Main>
        <Heading>Στήλη στα 2/3</Heading>
        <Paragraph>
          Αυτή η παράγραφος είναι μέσα σε στήλη με πλάτος 2/3.
        </Paragraph>
      </Main>
    </Container>
    <Container>
      <Main>
        <Heading>Στήλη στα 2/3</Heading>
        <Paragraph></Paragraph>
      </Main>
      <Aside>
        <Heading size="md">Στήλη στο 1/3</Heading>
        <Paragraph>
          Αυτή η παράγραφος είναι μέσα σε στήλη με πλάτος 1/3.
        </Paragraph>
      </Aside>
    </Container>
  </Layout>
);

export default MultipleRowsLayout;
