import React from 'react';

import {
  Breadcrumbs,
  BreadcrumbsList,
  BreadcrumbsListItem,
} from '@digigov/ui/navigation/Breadcrumbs';

export const WithoutCurrentPage = () => (
  <Breadcrumbs role="navigation">
    <BreadcrumbsList>
      <BreadcrumbsListItem href="#">Αρχική</BreadcrumbsListItem>
      <BreadcrumbsListItem href="#">Υγεία και πρόνοια</BreadcrumbsListItem>
      <BreadcrumbsListItem href="#">Φάκελος υγείας</BreadcrumbsListItem>
      <BreadcrumbsListItem>Άυλη συνταγογράφηση</BreadcrumbsListItem>
    </BreadcrumbsList>
  </Breadcrumbs>
);

export default WithoutCurrentPage;
