import Dropdown from '@digigov/ui/navigation/Dropdown';
export default {
  title: 'Digigov UI/navigation/Dropdown',
  description:
    'Use the dropdown component to provide more options to users in cases where there is not enough space such as tables, navbars, etc.',
  link: 'https://guide.services.gov.gr/docs/patterns/admin-pages/components/dropdown',
  component: Dropdown,
  displayName: 'Dropdown',
};
export { Default } from '@digigov/ui/navigation/Dropdown/__stories__/Default';
export { Secondary } from '@digigov/ui/navigation/Dropdown/__stories__/Secondary';
export { Warning } from '@digigov/ui/navigation/Dropdown/__stories__/Warning';
export { Disabled } from '@digigov/ui/navigation/Dropdown/__stories__/Disabled';
export { VariantLink } from '@digigov/ui/navigation/Dropdown/__stories__/VariantLink';
export { AlignRight } from '@digigov/ui/navigation/Dropdown/__stories__/AlignRight';
export { PlacementTop } from '@digigov/ui/navigation/Dropdown/__stories__/PlacementTop';
export { WithIcons } from '@digigov/ui/navigation/Dropdown/__stories__/WithIcons';
export { ContentPosition } from '@digigov/ui/navigation/Dropdown/__stories__/ContentPosition';
export { ScrollableContent } from '@digigov/ui/navigation/Dropdown/__stories__/ScrollableContent';
export { Dense } from '@digigov/ui/navigation/Dropdown/__stories__/Dense';
