import React from 'react';
import { Masthead } from '@digigov/ui/app/Masthead';
import { SectionBreak } from '@digigov/ui/layouts/SectionBreak';
import { Link } from '@digigov/ui/navigation/Link';
export const DarkBackground = () => (
  <Masthead>
    <SectionBreak visible={false} />
    <Link
      aria-label="πλοηγηθείτε στην ιστοσελίδα το govgr"
      role="link"
      href="#"
    >
      Σύνδεσμος
    </Link>
    <SectionBreak visible={false} />
  </Masthead>
);

export default DarkBackground;
