import React from 'react';
import { Link } from '@digigov/ui/navigation/Link';
import { Paragraph } from '@digigov/ui/typography/Paragraph';

export const ExternalLink = () => (
  <Paragraph>
    Αυτή η παράγραφος περιέχει εξωτερικό σύνδεσμο που εμφανίζεται στην εκτύπωση{' '}
    <Link
      aria-label="πλοηγηθείτε στην ιστοσελίδα το govgr"
      role="link"
      href="https://www.gov.gr/"
    >
      σύνδεσμος
    </Link>
    .
  </Paragraph>
);

export default ExternalLink;
