import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';

import { Default } from '@digigov/ui/navigation/Tabs/__stories__/Default';

test('renders the Default Click second tab', async ({ mount, page }) => {
  await mount(<Default />);
  await page.evaluate(() => document.fonts.ready);
  await page.locator('#root>div>ul>li:nth-child(2)>a').hover();
  await page.locator('#root>div>ul>li:nth-child(2)>a').click();

  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
