import React from 'react';
import { SectionBreak } from '@digigov/ui/layouts/SectionBreak';
import { NormalText } from '@digigov/ui/typography/NormalText';

export const FontSizes = () => (
  <>
    <NormalText fontSize={14}> ds-!-font-size-14 </NormalText>
    <SectionBreak visible={false} />
    <NormalText fontSize={16}> ds-!-font-size-16 </NormalText>
    <SectionBreak visible={false} />
    <NormalText fontSize={19}> ds-!-font-size-19 </NormalText>
    <SectionBreak visible={false} />
    <NormalText fontSize={24}> ds-!-font-size-24 </NormalText>
    <SectionBreak visible={false} />
    <NormalText fontSize={30}> ds-!-font-size-30 </NormalText>
    <SectionBreak visible={false} />
    <NormalText fontSize={48}> ds-!-font-size-48 </NormalText>
    <SectionBreak visible={false} />
    <NormalText fontSize={72}> ds-!-font-size-72 </NormalText>
  </>
);

export default FontSizes;
