import React from 'react';

import { Button, ButtonGroup } from '@digigov/ui/form/Button';

import { Link } from '@digigov/ui/navigation/Link';
import { Paragraph } from '@digigov/ui/typography/Paragraph';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const Default = () => (
  <>
    <Paragraph>
      Κάποιο στοιχείο παρακάτω είναι οπτικά κρυμμένο. Είναι προσβάσιμο μόνο για
      προγράμματα ανάγνωσης οθόνης και οποιαδήποτε εργαλεία αναλύουν το DOM.
    </Paragraph>
    <ButtonGroup>
      <Button> Δοκιμή</Button>
      <Link href="#">
        Αλλαγή<VisuallyHidden> Διεύθυνσης</VisuallyHidden>
      </Link>
    </ButtonGroup>
  </>
);

export default Default;
