import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { CookiesBanner } from '@digigov/ui/app/BannerContainer/__stories__/CookiesBanner';

test('renders the All BannerContainer variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="CookiesBanner">
      <CookiesBanner />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
