import React from 'react';
import { Header } from '@digigov/ui/app/Header';
import { HeaderContent } from '@digigov/ui/app/Header/HeaderContent';
import { HeaderSection } from '@digigov/ui/app/Header/HeaderSection';
import { GovGRLogo } from '@digigov/ui/govgr/GovGRLogo';

export const Default = () => (
  <Header>
    <HeaderContent>
      <HeaderSection>
        <GovGRLogo href="#" />
      </HeaderSection>
    </HeaderContent>
  </Header>
);

export default Default;
