import Modal from '@digigov/ui/app/Modal';
export default {
  title: 'Digigov UI/app/Modal',
  description:
    'Use the modal component with caution when you need to provide critical information or ask for a decision.',
  link: 'https://guide.services.gov.gr/docs/patterns/admin-pages/components/modal',
  component: Modal,
  displayName: 'Modal',
};
export { Default } from '@digigov/ui/app/Modal/__stories__/Default';
export { AlertDialog } from '@digigov/ui/app/Modal/__stories__/AlertDialog';
export { Dense } from '@digigov/ui/app/Modal/__stories__/Dense';
export { WithHooks } from '@digigov/ui/app/Modal/__stories__/WithHooks';
export { Auto } from '@digigov/ui/app/Modal/__stories__/Auto';
export { WithoutModalGaps } from '@digigov/ui/app/Modal/__stories__/WithoutModalGaps';
