import React from 'react';
import { Modal as CoreModal } from 'react-native';

export const Modal = ({ children, open, ...props }) => {
  return (
    <CoreModal
      visible={open}
      transparent={true}
      animationType="fade"
      {...props}
    >
      {children}
    </CoreModal>
  );
};

export default Modal;
