import React from 'react';
import { QrCodeViewer } from '@digigov/ui/app/QrCodeViewer';
import logo from '@digigov/ui/govgr/images/greek-government-base64';
export const Custom = () => (
  <div>
    <QrCodeViewer
      value="https://www.gov.gr/"
      size={126}
      bgColor={'#ededed'}
      fgColor={'#003375'}
      level={'H'}
      includeMargin={false}
      imageSettings={{
        src: `${logo}`,
        x: undefined,
        y: undefined,
        height: 35,
        width: 50,
        excavate: true,
      }}
    ></QrCodeViewer>
  </div>
);

export default Custom;
