import Skeleton from '@digigov/ui/app/Skeleton';
export default {
  title: 'Digigov UI/app/Skeleton',
  description:
    'Use a set of Skeleton components to display placeholder content when data is loading.',

  component: Skeleton,
  displayName: 'Skeleton',
};
export { Default } from '@digigov/ui/app/Skeleton/__stories__/Default';
export { TextSizes } from '@digigov/ui/app/Skeleton/__stories__/TextSizes';
export { Rectangular } from '@digigov/ui/app/Skeleton/__stories__/Rectangular';
export { Circular } from '@digigov/ui/app/Skeleton/__stories__/Circular';
export { Button } from '@digigov/ui/app/Skeleton/__stories__/Button';
export { NoAnimation } from '@digigov/ui/app/Skeleton/__stories__/NoAnimation';
export { SpecificWidthAndHeight } from '@digigov/ui/app/Skeleton/__stories__/SpecificWidthAndHeight';
export { UnderTypography } from '@digigov/ui/app/Skeleton/__stories__/UnderTypography';
export { WithChildren } from '@digigov/ui/app/Skeleton/__stories__/WithChildren';
