import React from 'react';

import {
  Card,
  CardHeading,
  CardContent,
  CardAction,
} from '@digigov/ui/content/Card';
import { Button } from '@digigov/ui/form/Button';

export const Default = () => (
  <Card>
    <CardHeading>Γεωργία και κτηνοτροφία</CardHeading>
    <CardContent>
      Διαδικασίες, επιδοτήσεις και αποζημιώσεις για την γεωργική, κτηνοτροφική ή
      αλιευτική σας δραστηριότητα.
    </CardContent>
    <CardAction>
      <Button>Είσοδος</Button>
    </CardAction>
  </Card>
);

export default Default;
