import React from 'react';

import {
  Card,
  CardHeading,
  CardContent,
  CardAction,
} from '@digigov/ui/content/Card';
import { Button, ButtonGroup } from '@digigov/ui/form/Button';

import { Link } from '@digigov/ui/navigation/Link';

export const WithGroupButton = () => (
  <Card>
    <CardHeading>Γεωργία και κτηνοτροφία</CardHeading>
    <CardContent>
      Διαδικασίες, επιδοτήσεις και αποζημιώσεις για την γεωργική, κτηνοτροφική ή
      αλιευτική σας δραστηριότητα.
    </CardContent>
    <CardAction>
      <ButtonGroup>
        <Button>Συνέχεια</Button>
        <Link>Ακύρωση</Link>
      </ButtonGroup>
    </CardAction>
  </Card>
);

export default WithGroupButton;
