import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';

import { WithClickableContent } from '@digigov/ui/content/Card/__stories__/WithClickableContent';

test('renders the WithClickableContent Click card', async ({ mount, page }) => {
  await mount(<WithClickableContent />);
  await page.evaluate(() => document.fonts.ready);
  await page.locator('#root>div>div>div:nth-child(1)>a').click();
  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
