import React from 'react';
import { List } from '@digigov/ui/content/List/List';
import { ListItem } from '@digigov/ui/content/List/ListItem';
import { Link } from '@digigov/ui/navigation/Link';

export const HorizontalList = () => (
  <List layout="horizontal">
    <ListItem>
      <Link>List Item One</Link>
    </ListItem>
    <ListItem>
      <Link>List Item Two</Link>
    </ListItem>
    <ListItem>
      <Link>List Item Three</Link>
    </ListItem>
    <ListItem>
      <Link>List Item Four</Link>
    </ListItem>
    <ListItem>
      <Link>List Item Five</Link>
    </ListItem>
    <ListItem>
      <Link>List Item Six</Link>
    </ListItem>
  </List>
);

export default HorizontalList;
