import * as React from 'react';
import { render } from '@testing-library/react';

import {
  SummaryList,
  SummaryListItem,
  SummaryListItemKey,
  SummaryListItemValue,
  SummaryListItemAction,
} from '@digigov/ui/content/SummaryList';

it('renders the SummaryList with sample data', () => {
  expect(
    render(
      <SummaryList>
        <SummaryListItem>
          <SummaryListItemKey>Όνομα</SummaryListItemKey>
          <SummaryListItemValue> Μάριος</SummaryListItemValue>
          <SummaryListItemAction> Αλλαγή</SummaryListItemAction>
        </SummaryListItem>
        <SummaryListItem>
          <SummaryListItemKey>Επώνυμο</SummaryListItemKey>
          <SummaryListItemValue>Μενεξές</SummaryListItemValue>
        </SummaryListItem>
      </SummaryList>
    ).baseElement
  ).toMatchSnapshot();
});
