import Table from '@digigov/ui/content/Table';
export default {
  title: 'Digigov UI/content/Table',
  description:
    'Use the table component to make information easier to compare and scan for users.',
  link: 'https://guide.services.gov.gr/docs/components/table',
  component: Table,
  displayName: 'Table',
};
export { Default } from '@digigov/ui/content/Table/__stories__/Default';
export { TableCaptions } from '@digigov/ui/content/Table/__stories__/TableCaptions';
export { NoData } from '@digigov/ui/content/Table/__stories__/NoData';
export { VerticalHeaders } from '@digigov/ui/content/Table/__stories__/VerticalHeaders';
export { ZebraProp } from '@digigov/ui/content/Table/__stories__/ZebraProp';
export { NumericDataType } from '@digigov/ui/content/Table/__stories__/NumericDataType';
export { VerticalBorders } from '@digigov/ui/content/Table/__stories__/VerticalBorders';
export { Stacked } from '@digigov/ui/content/Table/__stories__/Stacked';
export { DarkVariant } from '@digigov/ui/content/Table/__stories__/DarkVariant';
export { DarkVariantWithVerticalHeaders } from '@digigov/ui/content/Table/__stories__/DarkVariantWithVerticalHeaders';
export { WithLoader } from '@digigov/ui/content/Table/__stories__/WithLoader';
export { DefinedWidth } from '@digigov/ui/content/Table/__stories__/DefinedWidth';
export { Dense } from '@digigov/ui/content/Table/__stories__/Dense';
export { RowColors } from '@digigov/ui/content/Table/__stories__/RowColors';
export { MultipleProps } from '@digigov/ui/content/Table/__stories__/MultipleProps';
export { WithSortFilters } from '@digigov/ui/content/Table/__stories__/WithSortFilters';
export { WithFloatingScroll } from '@digigov/ui/content/Table/__stories__/WithFloatingScroll';
export { Full } from '@digigov/ui/content/Table/__stories__/Full';
