import React from 'react';
import { CopyToClipboard } from '@digigov/ui/feedback/CopyToClipboard';
import { Button } from '@digigov/ui/form/Button';

export const Banner = () => {
  return (
    <CopyToClipboard
      text="copied-text"
      variant="banner"
      message="Αντιγράφηκε στο πρόχειρο"
    >
      <Button color="secondary">Αντιγραφή</Button>
    </CopyToClipboard>
  );
};
export default Banner;
