import React from 'react';
import { CopyToClipboard } from '@digigov/ui/feedback/CopyToClipboard';
import { Button } from '@digigov/ui/form/Button';

export const Default = () => {
  return (
    <CopyToClipboard
      text="copied-text"
      variant="tooltip"
      tooltipAlign="left"
      message="Αντιγράφηκε στο πρόχειρο"
      id="copy-to-clipboard"
      onCopy={() => {
        console.log('content copied!');
      }}
    >
      <Button color="secondary" aria-describedby="copy-to-clipboard">
        Αντιγραφή
      </Button>
    </CopyToClipboard>
  );
};
export default Default;
