import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';

import { LinkedToCheckbox } from '@digigov/ui/feedback/ErrorSummary/__stories__/LinkedToCheckbox';

test('renders the LinkedToCheckbox Go to checkbox', async ({ mount, page }) => {
  await mount(<LinkedToCheckbox />);
  await page.evaluate(() => document.fonts.ready);
  await page.keyboard.press('Tab');
  await page.keyboard.press('Enter');

  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
