import React from 'react';
import { AutoComplete } from '@digigov/ui/form/AutoComplete';
import { suggest } from '@digigov/ui/form/AutoComplete/utils';
import { Button } from '@digigov/ui/form/Button';
import { FieldContainer, Fieldset } from '@digigov/ui/form/FieldContainer';

export const Multiple = () => (
  <div>
    <FieldContainer>
      <Fieldset marginBottom={4}>
        <AutoComplete
          source={suggest}
          multiple
          width="50%"
          id="multiple-select-default"
        />
      </Fieldset>
    </FieldContainer>
    <Button>Υποβολή</Button>
  </div>
);

export default Multiple;
