import React from 'react';
import { AutoComplete } from '@digigov/ui/form/AutoComplete';
import { suggest } from '@digigov/ui/form/AutoComplete/utils';
import { Button } from '@digigov/ui/form/Button';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';

export const WithPlaceHolder = () => (
  <div>
    <FieldContainer>
      <AutoComplete
        source={suggest}
        autoselect={true}
        placeholder="Αναζήτηση χώρας"
        id="govgr"
      />
    </FieldContainer>
    <Button>Υποβολή</Button>
  </div>
);

export default WithPlaceHolder;
