import React from 'react';

import {
  DateInputContainer,
  DateInputItem,
} from '@digigov/ui/form/DateInputContainer';

import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';

import { Hint } from '@digigov/ui/typography/Hint';

export const Default = () => (
  <FieldContainer>
    <Fieldset>
      <FieldsetLegend heading>Πότε εκδόθηκε το διαβατήριό σας;</FieldsetLegend>
      <Hint id="passport-hint">Για παράδειγμα, 05 11 2020</Hint>
      <DateInputContainer aria-describedby="passport-hint">
        <DateInputItem name="day">Ημέρα</DateInputItem>
        <DateInputItem name="month">Μήνας</DateInputItem>
        <DateInputItem width={4} name="year">
          Έτος
        </DateInputItem>
      </DateInputContainer>
    </Fieldset>
  </FieldContainer>
);

export default Default;
