import React from 'react';

import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';

import { FileUpload } from '@digigov/ui/form/FileUpload';
import { Hint } from '@digigov/ui/typography/Hint';

export const Default = () => (
  <FieldContainer>
    <Fieldset>
      <FieldsetLegend size="md">Λογότυπο επιχείρησης</FieldsetLegend>
      <Hint id="file-hint">Το αρχείο μπορεί να είναι png ή jpeg.</Hint>
      <FileUpload aria-describedby="file-hint">Επιλογή αρχείου</FileUpload>
    </Fieldset>
  </FieldContainer>
);

export default Default;
