import React from 'react';

import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';
import { RadioContainer, RadioItem } from '@digigov/ui/form/RadioContainer';

export const WithMediumLegend = () => (
  <FieldContainer>
    <Fieldset>
      <FieldsetLegend size="md">
        Ποιά είναι η χώρα της διαμονής σας;
      </FieldsetLegend>
      <RadioContainer>
        <RadioItem name="country" value="greece">
          Ελλάδα
        </RadioItem>
        <RadioItem name="country" value="cyprus">
          Κύπρος
        </RadioItem>
        <RadioItem name="country" value="eu">
          Χώρα της Ευρωπαϊκής Ένωσης
        </RadioItem>
        <RadioItem name="country" value="us">
          Hνωμένες Πολιτείες της Αμερικής
        </RadioItem>
      </RadioContainer>
    </Fieldset>
  </FieldContainer>
);

export default WithMediumLegend;
