import SelectContainer from '@digigov/ui/form/SelectContainer';
export default {
  title: 'Digigov UI/form/SelectContainer',
  description:
    'The select component should only be used as a last resort in public-facing services because research shows that some users find selects very difficult to use.',
  link: 'https://guide.services.gov.gr/docs/components/select',
  component: SelectContainer,
  displayName: 'SelectContainer',
};
export { Default } from '@digigov/ui/form/SelectContainer/__stories__/Default';
export { DisabledInput } from '@digigov/ui/form/SelectContainer/__stories__/DisabledInput';
export { WithHint } from '@digigov/ui/form/SelectContainer/__stories__/WithHint';
export { Dense } from '@digigov/ui/form/SelectContainer/__stories__/Dense';
