import React from 'react';

import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer } from '@digigov/ui/form/LabelContainer';
import {
  SelectContainer,
  SelectOption,
} from '@digigov/ui/form/SelectContainer';

export const Dense = () => (
  <FieldContainer>
    <LabelContainer>
      Ταξινόμηση
      <SelectContainer dense name="select-list" aria-label="ταξινόμηση">
        <SelectOption value="popular">Δημοφιλή</SelectOption>
        <SelectOption value="recent">Πρόσφατα</SelectOption>
        <SelectOption value="views">Περισσότερες προβολές</SelectOption>
        <SelectOption value="comments">Περισσότερα σχόλια</SelectOption>
      </SelectContainer>
    </LabelContainer>
  </FieldContainer>
);

export default Dense;
