import React from 'react';

import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer } from '@digigov/ui/form/LabelContainer';
import {
  SelectContainer,
  SelectOption,
} from '@digigov/ui/form/SelectContainer';

export const DisabledInput = () => (
  <FieldContainer>
    <LabelContainer>
      Ταξινόμηση
      <SelectContainer
        name="select-list"
        disabled
        aria-disabled="true"
        aria-label="ταξινόμηση"
      >
        <SelectOption value="dim">Δημοφιλή</SelectOption>
        <SelectOption value="kat">Πρόσφατα</SelectOption>
        <SelectOption value="kat">Περισσότερες προβολές</SelectOption>
        <SelectOption value="kat">Περισσότερα σχόλια</SelectOption>
      </SelectContainer>
    </LabelContainer>
  </FieldContainer>
);

export default DisabledInput;
