import SingleCharacterInputs from '@digigov/ui/form/SingleCharacterInputs';
export default {
  title: 'Digigov UI/form/SingleCharacterInputs',
  description:
    'Use the One-time password input component to help users enter a memorable digital character for One-time password.',
  link: 'https://guide.services.gov.gr/docs/patterns/one-time-password',
  component: SingleCharacterInputs,
  displayName: 'SingleCharacterInputs',
};
export { Default } from '@digigov/ui/form/SingleCharacterInputs/__stories__/Default';
export { WithDefaultError } from '@digigov/ui/form/SingleCharacterInputs/__stories__/WithDefaultError';
export { WithErrorMessageInvalidCode } from '@digigov/ui/form/SingleCharacterInputs/__stories__/WithErrorMessageInvalidCode';
export { WithErrorMessageLessDigit } from '@digigov/ui/form/SingleCharacterInputs/__stories__/WithErrorMessageLessDigit';
