import React from 'react';
import BasicLayout from '@digigov/ui/layouts/Basic';
import { Aside } from '@digigov/ui/layouts/Basic/Aside';
import { Bottom } from '@digigov/ui/layouts/Basic/Bottom';
import { Container } from '@digigov/ui/layouts/Basic/Container';
import { Main } from '@digigov/ui/layouts/Basic/Main';
import { Top } from '@digigov/ui/layouts/Basic/Top';

export const WithBasicLayout = () => (
  <BasicLayout>
    <Top>Header content</Top>
    <Container>
      <Main>Main content</Main>
      <Aside>Side content</Aside>
    </Container>
    <Bottom>Bottom content</Bottom>
  </BasicLayout>
);

export default WithBasicLayout;
