import * as React from 'react';
import { render } from '@testing-library/react';

import BasicLayout, {
  Top,
  Aside,
  Main,
  Container,
  Bottom,
} from '@digigov/ui/layouts/Basic';

it('renders the BasicLayout with Top, Container, Bottom, Main and Aside children', () => {
  const jsx = (
    <BasicLayout>
      <Top>Header content</Top>
      <Container>
        <Main>Main content</Main>
        <Aside>Side content</Aside>
      </Container>
      <Bottom>Bottom content</Bottom>
    </BasicLayout>
  );
  expect(render(jsx).baseElement).toMatchSnapshot();
});
