import React from 'react';

import {
  Breadcrumbs,
  BreadcrumbsList,
  BreadcrumbsListItem,
} from '@digigov/ui/navigation/Breadcrumbs';

export const Default = () => (
  <Breadcrumbs role="navigation">
    <BreadcrumbsList>
      <BreadcrumbsListItem href="#">Αρχική</BreadcrumbsListItem>
      <BreadcrumbsListItem href="#">Υγεία και πρόνοια</BreadcrumbsListItem>
      <BreadcrumbsListItem href="#">Φάκελος υγείας</BreadcrumbsListItem>
      <BreadcrumbsListItem aria-current="page">
        Άυλη συνταγογράφηση
      </BreadcrumbsListItem>
    </BreadcrumbsList>
  </Breadcrumbs>
);

export default Default;
