import React from 'react';
import {
  Dropdown,
  DropdownButton,
  DropdownContent,
} from '@digigov/ui/navigation/Dropdown';
import { NavListItemAction, NavList } from '@digigov/ui/navigation/NavList';

export const Warning = () => (
  <Dropdown>
    <DropdownButton
      role="button"
      aria-haspopup="true"
      aria-controls="menu2"
      arrow
      color="warning"
    >
      Ενέργειες
    </DropdownButton>
    <DropdownContent role="menu" id="menu2">
      <NavList layout="vertical">
        <NavListItemAction role="menuitem" href="#">
          Επεξεργασία
        </NavListItemAction>
        <NavListItemAction role="menuitem" href="#">
          Μετακίνηση
        </NavListItemAction>
        <NavListItemAction role="menuitem" href="#">
          Οριστική διαγραφή
        </NavListItemAction>
      </NavList>
    </DropdownContent>
  </Dropdown>
);

export default Warning;
