import React from 'react';
import { Link, LinkProvider } from '@digigov/ui/navigation/Link';

const CustomLink: React.FC<any> = (props) => {
  return <div>{props.children}</div>;
};

export const WithProvider = () => (
  <LinkProvider component={CustomLink}>
    <Link
      aria-label="πλοηγηθείτε στην ιστοσελίδα το govgr"
      role="link"
      href="#"
    >
      Σύνδεσμος
    </Link>
  </LinkProvider>
);

export default WithProvider;
