import Pagination from '@digigov/ui/navigation/Pagination';
export default {
  title: 'Digigov UI/navigation/Pagination',
  description:
    'Use the pagination component to let users browse through a long list.',
  link: 'https://guide.services.gov.gr/docs/patterns/admin-pages/components/pagination',
  component: Pagination,
  displayName: 'Pagination',
};
export { Default } from '@digigov/ui/navigation/Pagination/__stories__/Default';
export { WithInactiveValues } from '@digigov/ui/navigation/Pagination/__stories__/WithInactiveValues';
export { WithResultsPerPage } from '@digigov/ui/navigation/Pagination/__stories__/WithResultsPerPage';
export { PaginationSmall } from '@digigov/ui/navigation/Pagination/__stories__/PaginationSmall';
export { PaginationWithSmallFont } from '@digigov/ui/navigation/Pagination/__stories__/PaginationWithSmallFont';
export { WithHook } from '@digigov/ui/navigation/Pagination/__stories__/WithHook';
export { Auto } from '@digigov/ui/navigation/Pagination/__stories__/Auto';
